Subject: Re: [patch 00/13] CPU selection Kconfig cleanup, take 3

From: Arnd Bergmann <[email-masked]>
Date: Sun, 17 Jun 2007 02:14:10 +0200

On Sunday 17 June 2007, Kumar Gala wrote:
> > For the 'at least one option selected' argument, I'm not sure how
> > important that is, IMHO it falls into the same category as any
> > other essential option that you can disable.
>=20
> People have run into the issue so I think it desires at least a =A0
> little concern. =A0See: http://marc.info/?t=3D117529164800005&r=3D1&w=3D2

But isn't the reported problem just a bug in the build system?
My impression was that the user did not complain about the fact
that the kernel he was trying to build would not boot on any
platform, but rather that the kernel tried to build a zImage
that was not defined, resulting in a build error.

Obviously, any configuration that can be selected by the user
should be able to compile and link without errors, even if it's
not particularly useful.

Aside from the multiplatform enabling patches, are you happy with
the patches 1-8 from my fourth version of the patch set?

	Arnd <><